Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!

Bug 245350

Summary: Please make the functionality of BuildExecutionSupportImplementation available via API.
Product: projects Reporter: Martin Entlicher <mentlicher>
Component: Generic Projects UIAssignee: Tomas Stupka <tstupka>
Status: RESOLVED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P2 CC: apireviews, henk89, tzezula
Version: 8.0.1Keywords: API, API_REVIEW_FAST
Target Milestone: 8.0.1   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: ENHANCEMENT Exception Report:
Bug Depends on:    
Bug Blocks: 193872    
Attachments: A proposal of the APIs
patch
<no description>

Description Martin Entlicher 2014-07-01 17:20:57 UTC
In order to solve issue #193872, I need to use BuildExecutionSupportImplementation, which is not a public API.
Unfortunately, BuildExecutionSupport has only register methods and thus it's unusable for other purpose but run items.

Some public API, that can solve use-cases in https://netbeans.org/bugzilla/attachment.cgi?id=147842&action=diff is needed.
Comment 1 Martin Entlicher 2014-07-01 17:22:30 UTC
Created attachment 147845 [details]
A proposal of the APIs

Any thoughts on this?
Comment 2 Tomas Stupka 2014-07-08 13:24:27 UTC
new version of patch
Comment 3 Tomas Stupka 2014-07-08 13:24:30 UTC
Created attachment 147936 [details]
patch
Comment 4 Tomas Stupka 2014-07-08 13:28:57 UTC
please review
Comment 5 Martin Entlicher 2014-07-08 16:00:17 UTC
Thanks.
I've found that the current version of the projectuiapi module is 1.77, therefore please update the @since tags to 1.78 and add:
diff --git a/projectuiapi/nbproject/project.properties b/projectuiapi/nbproject/project.properties
--- a/projectuiapi/nbproject/project.properties
+++ b/projectuiapi/nbproject/project.properties
@@ -42,7 +42,7 @@
 
 javac.compilerargs=-Xlint -Xlint:-serial
 javac.source=1.6
-spec.version.base=1.77.0
+spec.version.base=1.78.0
 is.autoload=true
 javadoc.arch=${basedir}/arch.xml
 javadoc.apichanges=${basedir}/apichanges.xml

Also the addChangeListener() and removeChangeListener() methods should be public static.
Comment 6 Tomas Stupka 2014-07-09 10:21:42 UTC
> I've found that the current version of the projectuiapi module is 1.77, therefore please update the @since tags to 1.78 and add:
> Also the addChangeListener() and removeChangeListener() methods should be public static.
fixed - new version of patch attached
Comment 7 Tomas Stupka 2014-07-09 10:21:48 UTC
Created attachment 147950 [details]
<no description>
Comment 8 Tomas Stupka 2014-07-14 14:17:39 UTC
in case nobody objects i will push the changes tomorrow
Comment 9 Tomas Stupka 2014-07-15 11:04:30 UTC
fixed in core-main #a37589424301
Comment 10 Quality Engineering 2014-07-19 10:18:55 UTC
Integrated into 'main-silver', will be available in build *201407190718* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/a37589424301
User: Tomas Stupka <tstupka@netbeans.org>
Log: Issue #245350 - Please make the functionality of BuildExecutionSupportImplementation available via API.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo